/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */
package com.icesoft.faces.facelets.component.spinner;

import javax.faces.event.ActionEvent;
import java.util.List;

public class TextSpinner extends BaseSpinner {

    private List list;
    private int index = 0;
    private String value;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public TextSpinner(List list) {
        this.list = list;
        if (list.size() > 0)
            value = (String) list.get(0);
    }

    public void incrementBtnClicked(ActionEvent evt) {
        index++;
        if (index >= list.size())
            index = 0;
        value = (String) list.get(index);
    }

    public void decrementBtnClicked(ActionEvent evt) {
        index--;
        if (index < 0)
            index = list.size() - 1;
        value = (String) list.get(index);
    }

    public List getList() {
        return list;
    }

    public void setList(List list) {
        this.list = list;
    }

}
